package com.mortals.xhx.module.person.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.person.model.PersonEntity;
/**
 * 注册人员查询对象
 *
 * @author zxfei
 * @date 2023-04-24
 */
public class PersonQuery extends PersonEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 用户名称 */
    private List<String> nameList;

    /** 用户名称排除列表 */
    private List <String> nameNotList;
    /** 身份证号码 */
    private List<String> idCardList;

    /** 身份证号码排除列表 */
    private List <String> idCardNotList;
    /** 开始 性别(0.男,1.女) */
    private Integer genderStart;

    /** 结束 性别(0.男,1.女) */
    private Integer genderEnd;

    /** 增加 性别(0.男,1.女) */
    private Integer genderIncrement;

    /** 性别(0.男,1.女)列表 */
    private List <Integer> genderList;

    /** 性别(0.男,1.女)排除列表 */
    private List <Integer> genderNotList;

    /** 手机号码 */
    private List<String> phoneList;

    /** 手机号码排除列表 */
    private List <String> phoneNotList;
    /** 开始 出生日期 */
    private String birthdayStart;

    /** 结束 出生日期 */
    private String birthdayEnd;

    /** 家庭住址 */
    private List<String> addressList;

    /** 家庭住址排除列表 */
    private List <String> addressNotList;
    /** 本地照片路径 */
    private List<String> photoList;

    /** 本地照片路径排除列表 */
    private List <String> photoNotList;
    /** 原始照片路径 */
    private List<String> sourcePhotoUriList;

    /** 原始照片路径排除列表 */
    private List <String> sourcePhotoUriNotList;
    /** 开始 Php原始注册用户id */
    private Long sourceIdStart;

    /** 结束 Php原始注册用户id */
    private Long sourceIdEnd;

    /** 增加 Php原始注册用户id */
    private Long sourceIdIncrement;

    /** Php原始注册用户id列表 */
    private List <Long> sourceIdList;

    /** Php原始注册用户id排除列表 */
    private List <Long> sourceIdNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它) */
    private Integer sourceStart;

    /** 结束 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它) */
    private Integer sourceEnd;

    /** 增加 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它) */
    private Integer sourceIncrement;

    /** 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)列表 */
    private List <Integer> sourceList;

    /** 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)排除列表 */
    private List <Integer> sourceNotList;

    /** 开始 是否添加到海康人脸库(0.否，1.是) */
    private Integer inFaceHkStart;

    /** 结束 是否添加到海康人脸库(0.否，1.是) */
    private Integer inFaceHkEnd;

    /** 增加 是否添加到海康人脸库(0.否，1.是) */
    private Integer inFaceHkIncrement;

    /** 是否添加到海康人脸库(0.否，1.是)列表 */
    private List <Integer> inFaceHkList;

    /** 是否添加到海康人脸库(0.否，1.是)排除列表 */
    private List <Integer> inFaceHkNotList;

    /** 人脸的唯一标识 */
    private List<String> indexCodeList;

    /** 人脸的唯一标识排除列表 */
    private List <String> indexCodeNotList;
    /** 人脸所属的人脸分组的唯一标识 */
    private List<String> ifaceGroupIndexCodeList;

    /** 人脸所属的人脸分组的唯一标识排除列表 */
    private List <String> ifaceGroupIndexCodeNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 海康人脸图片url */
    private List<String> picUrlList;

    /** 海康人脸图片url排除列表 */
    private List <String> picUrlNotList;
    /** 海康人脸服务标识 */
    private List<String> serverIndexCodeList;

    /** 海康人脸服务标识排除列表 */
    private List <String> serverIndexCodeNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PersonQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PersonQuery> andConditionList;

    public PersonQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点Id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点Id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 用户名称
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 用户名称
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
     * 获取 用户名称
     * @return nameNotList
     */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
     * 设置 用户名称
     * @param nameNotList
     */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
     * 获取 身份证号码
     * @return idCardList
     */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
     * 设置 身份证号码
     * @param idCardList
     */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
     * 获取 身份证号码
     * @return idCardNotList
     */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
     * 设置 身份证号码
     * @param idCardNotList
     */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
     * 获取 开始 性别(0.男,1.女)
     * @return genderStart
     */
    public Integer getGenderStart(){
        return this.genderStart;
    }

    /**
     * 设置 开始 性别(0.男,1.女)
     * @param genderStart
     */
    public void setGenderStart(Integer genderStart){
        this.genderStart = genderStart;
    }

    /**
     * 获取 结束 性别(0.男,1.女)
     * @return $genderEnd
     */
    public Integer getGenderEnd(){
        return this.genderEnd;
    }

    /**
     * 设置 结束 性别(0.男,1.女)
     * @param genderEnd
     */
    public void setGenderEnd(Integer genderEnd){
        this.genderEnd = genderEnd;
    }

    /**
     * 获取 增加 性别(0.男,1.女)
     * @return genderIncrement
     */
    public Integer getGenderIncrement(){
        return this.genderIncrement;
    }

    /**
     * 设置 增加 性别(0.男,1.女)
     * @param genderIncrement
     */
    public void setGenderIncrement(Integer genderIncrement){
        this.genderIncrement = genderIncrement;
    }

    /**
     * 获取 性别(0.男,1.女)
     * @return genderList
     */
    public List<Integer> getGenderList(){
        return this.genderList;
    }

    /**
     * 设置 性别(0.男,1.女)
     * @param genderList
     */
    public void setGenderList(List<Integer> genderList){
        this.genderList = genderList;
    }

    /**
     * 获取 性别(0.男,1.女)
     * @return genderNotList
     */
    public List<Integer> getGenderNotList(){
        return this.genderNotList;
    }

    /**
     * 设置 性别(0.男,1.女)
     * @param genderNotList
     */
    public void setGenderNotList(List<Integer> genderNotList){
        this.genderNotList = genderNotList;
    }


    /**
     * 获取 手机号码
     * @return phoneList
     */
    public List<String> getPhoneList(){
        return this.phoneList;
    }

    /**
     * 设置 手机号码
     * @param phoneList
     */
    public void setPhoneList(List<String> phoneList){
        this.phoneList = phoneList;
    }

    /**
     * 获取 手机号码
     * @return phoneNotList
     */
    public List<String> getPhoneNotList(){
        return this.phoneNotList;
    }

    /**
     * 设置 手机号码
     * @param phoneNotList
     */
    public void setPhoneNotList(List<String> phoneNotList){
        this.phoneNotList = phoneNotList;
    }

    /**
     * 获取 开始 出生日期
     * @return birthdayStart
     */
    public String getBirthdayStart(){
        return this.birthdayStart;
    }

    /**
     * 设置 开始 出生日期
     * @param birthdayStart
     */
    public void setBirthdayStart(String birthdayStart){
        this.birthdayStart = birthdayStart;
    }

    /**
     * 获取 结束 出生日期
     * @return birthdayEnd
     */
    public String getBirthdayEnd(){
        return this.birthdayEnd;
    }

    /**
     * 设置 结束 出生日期
     * @param birthdayEnd
     */
    public void setBirthdayEnd(String birthdayEnd){
        this.birthdayEnd = birthdayEnd;
    }

    /**
     * 获取 家庭住址
     * @return addressList
     */
    public List<String> getAddressList(){
        return this.addressList;
    }

    /**
     * 设置 家庭住址
     * @param addressList
     */
    public void setAddressList(List<String> addressList){
        this.addressList = addressList;
    }

    /**
     * 获取 家庭住址
     * @return addressNotList
     */
    public List<String> getAddressNotList(){
        return this.addressNotList;
    }

    /**
     * 设置 家庭住址
     * @param addressNotList
     */
    public void setAddressNotList(List<String> addressNotList){
        this.addressNotList = addressNotList;
    }

    /**
     * 获取 本地照片路径
     * @return photoList
     */
    public List<String> getPhotoList(){
        return this.photoList;
    }

    /**
     * 设置 本地照片路径
     * @param photoList
     */
    public void setPhotoList(List<String> photoList){
        this.photoList = photoList;
    }

    /**
     * 获取 本地照片路径
     * @return photoNotList
     */
    public List<String> getPhotoNotList(){
        return this.photoNotList;
    }

    /**
     * 设置 本地照片路径
     * @param photoNotList
     */
    public void setPhotoNotList(List<String> photoNotList){
        this.photoNotList = photoNotList;
    }

    /**
     * 获取 原始照片路径
     * @return sourcePhotoUriList
     */
    public List<String> getSourcePhotoUriList(){
        return this.sourcePhotoUriList;
    }

    /**
     * 设置 原始照片路径
     * @param sourcePhotoUriList
     */
    public void setSourcePhotoUriList(List<String> sourcePhotoUriList){
        this.sourcePhotoUriList = sourcePhotoUriList;
    }

    /**
     * 获取 原始照片路径
     * @return sourcePhotoUriNotList
     */
    public List<String> getSourcePhotoUriNotList(){
        return this.sourcePhotoUriNotList;
    }

    /**
     * 设置 原始照片路径
     * @param sourcePhotoUriNotList
     */
    public void setSourcePhotoUriNotList(List<String> sourcePhotoUriNotList){
        this.sourcePhotoUriNotList = sourcePhotoUriNotList;
    }

    /**
     * 获取 开始 Php原始注册用户id
     * @return sourceIdStart
     */
    public Long getSourceIdStart(){
        return this.sourceIdStart;
    }

    /**
     * 设置 开始 Php原始注册用户id
     * @param sourceIdStart
     */
    public void setSourceIdStart(Long sourceIdStart){
        this.sourceIdStart = sourceIdStart;
    }

    /**
     * 获取 结束 Php原始注册用户id
     * @return $sourceIdEnd
     */
    public Long getSourceIdEnd(){
        return this.sourceIdEnd;
    }

    /**
     * 设置 结束 Php原始注册用户id
     * @param sourceIdEnd
     */
    public void setSourceIdEnd(Long sourceIdEnd){
        this.sourceIdEnd = sourceIdEnd;
    }

    /**
     * 获取 增加 Php原始注册用户id
     * @return sourceIdIncrement
     */
    public Long getSourceIdIncrement(){
        return this.sourceIdIncrement;
    }

    /**
     * 设置 增加 Php原始注册用户id
     * @param sourceIdIncrement
     */
    public void setSourceIdIncrement(Long sourceIdIncrement){
        this.sourceIdIncrement = sourceIdIncrement;
    }

    /**
     * 获取 Php原始注册用户id
     * @return sourceIdList
     */
    public List<Long> getSourceIdList(){
        return this.sourceIdList;
    }

    /**
     * 设置 Php原始注册用户id
     * @param sourceIdList
     */
    public void setSourceIdList(List<Long> sourceIdList){
        this.sourceIdList = sourceIdList;
    }

    /**
     * 获取 Php原始注册用户id
     * @return sourceIdNotList
     */
    public List<Long> getSourceIdNotList(){
        return this.sourceIdNotList;
    }

    /**
     * 设置 Php原始注册用户id
     * @param sourceIdNotList
     */
    public void setSourceIdNotList(List<Long> sourceIdNotList){
        this.sourceIdNotList = sourceIdNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @return sourceStart
     */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
     * 设置 开始 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @param sourceStart
     */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
     * 获取 结束 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @return $sourceEnd
     */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
     * 设置 结束 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @param sourceEnd
     */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
     * 获取 增加 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @return sourceIncrement
     */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
     * 设置 增加 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @param sourceIncrement
     */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
     * 获取 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @return sourceList
     */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
     * 设置 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @param sourceList
     */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
     * 获取 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @return sourceNotList
     */
    public List<Integer> getSourceNotList(){
        return this.sourceNotList;
    }

    /**
     * 设置 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @param sourceNotList
     */
    public void setSourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
    }


    /**
     * 获取 开始 是否添加到海康人脸库(0.否，1.是)
     * @return inFaceHkStart
     */
    public Integer getInFaceHkStart(){
        return this.inFaceHkStart;
    }

    /**
     * 设置 开始 是否添加到海康人脸库(0.否，1.是)
     * @param inFaceHkStart
     */
    public void setInFaceHkStart(Integer inFaceHkStart){
        this.inFaceHkStart = inFaceHkStart;
    }

    /**
     * 获取 结束 是否添加到海康人脸库(0.否，1.是)
     * @return $inFaceHkEnd
     */
    public Integer getInFaceHkEnd(){
        return this.inFaceHkEnd;
    }

    /**
     * 设置 结束 是否添加到海康人脸库(0.否，1.是)
     * @param inFaceHkEnd
     */
    public void setInFaceHkEnd(Integer inFaceHkEnd){
        this.inFaceHkEnd = inFaceHkEnd;
    }

    /**
     * 获取 增加 是否添加到海康人脸库(0.否，1.是)
     * @return inFaceHkIncrement
     */
    public Integer getInFaceHkIncrement(){
        return this.inFaceHkIncrement;
    }

    /**
     * 设置 增加 是否添加到海康人脸库(0.否，1.是)
     * @param inFaceHkIncrement
     */
    public void setInFaceHkIncrement(Integer inFaceHkIncrement){
        this.inFaceHkIncrement = inFaceHkIncrement;
    }

    /**
     * 获取 是否添加到海康人脸库(0.否，1.是)
     * @return inFaceHkList
     */
    public List<Integer> getInFaceHkList(){
        return this.inFaceHkList;
    }

    /**
     * 设置 是否添加到海康人脸库(0.否，1.是)
     * @param inFaceHkList
     */
    public void setInFaceHkList(List<Integer> inFaceHkList){
        this.inFaceHkList = inFaceHkList;
    }

    /**
     * 获取 是否添加到海康人脸库(0.否，1.是)
     * @return inFaceHkNotList
     */
    public List<Integer> getInFaceHkNotList(){
        return this.inFaceHkNotList;
    }

    /**
     * 设置 是否添加到海康人脸库(0.否，1.是)
     * @param inFaceHkNotList
     */
    public void setInFaceHkNotList(List<Integer> inFaceHkNotList){
        this.inFaceHkNotList = inFaceHkNotList;
    }


    /**
     * 获取 人脸的唯一标识
     * @return indexCodeList
     */
    public List<String> getIndexCodeList(){
        return this.indexCodeList;
    }

    /**
     * 设置 人脸的唯一标识
     * @param indexCodeList
     */
    public void setIndexCodeList(List<String> indexCodeList){
        this.indexCodeList = indexCodeList;
    }

    /**
     * 获取 人脸的唯一标识
     * @return indexCodeNotList
     */
    public List<String> getIndexCodeNotList(){
        return this.indexCodeNotList;
    }

    /**
     * 设置 人脸的唯一标识
     * @param indexCodeNotList
     */
    public void setIndexCodeNotList(List<String> indexCodeNotList){
        this.indexCodeNotList = indexCodeNotList;
    }

    /**
     * 获取 人脸所属的人脸分组的唯一标识
     * @return ifaceGroupIndexCodeList
     */
    public List<String> getIfaceGroupIndexCodeList(){
        return this.ifaceGroupIndexCodeList;
    }

    /**
     * 设置 人脸所属的人脸分组的唯一标识
     * @param ifaceGroupIndexCodeList
     */
    public void setIfaceGroupIndexCodeList(List<String> ifaceGroupIndexCodeList){
        this.ifaceGroupIndexCodeList = ifaceGroupIndexCodeList;
    }

    /**
     * 获取 人脸所属的人脸分组的唯一标识
     * @return ifaceGroupIndexCodeNotList
     */
    public List<String> getIfaceGroupIndexCodeNotList(){
        return this.ifaceGroupIndexCodeNotList;
    }

    /**
     * 设置 人脸所属的人脸分组的唯一标识
     * @param ifaceGroupIndexCodeNotList
     */
    public void setIfaceGroupIndexCodeNotList(List<String> ifaceGroupIndexCodeNotList){
        this.ifaceGroupIndexCodeNotList = ifaceGroupIndexCodeNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 海康人脸图片url
     * @return picUrlList
     */
    public List<String> getPicUrlList(){
        return this.picUrlList;
    }

    /**
     * 设置 海康人脸图片url
     * @param picUrlList
     */
    public void setPicUrlList(List<String> picUrlList){
        this.picUrlList = picUrlList;
    }

    /**
     * 获取 海康人脸图片url
     * @return picUrlNotList
     */
    public List<String> getPicUrlNotList(){
        return this.picUrlNotList;
    }

    /**
     * 设置 海康人脸图片url
     * @param picUrlNotList
     */
    public void setPicUrlNotList(List<String> picUrlNotList){
        this.picUrlNotList = picUrlNotList;
    }

    /**
     * 获取 海康人脸服务标识
     * @return serverIndexCodeList
     */
    public List<String> getServerIndexCodeList(){
        return this.serverIndexCodeList;
    }

    /**
     * 设置 海康人脸服务标识
     * @param serverIndexCodeList
     */
    public void setServerIndexCodeList(List<String> serverIndexCodeList){
        this.serverIndexCodeList = serverIndexCodeList;
    }

    /**
     * 获取 海康人脸服务标识
     * @return serverIndexCodeNotList
     */
    public List<String> getServerIndexCodeNotList(){
        return this.serverIndexCodeNotList;
    }

    /**
     * 设置 海康人脸服务标识
     * @param serverIndexCodeNotList
     */
    public void setServerIndexCodeNotList(List<String> serverIndexCodeNotList){
        this.serverIndexCodeNotList = serverIndexCodeNotList;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public PersonQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public PersonQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public PersonQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public PersonQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public PersonQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public PersonQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点Id
     * @param siteId
     */
    public PersonQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public PersonQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public PersonQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public PersonQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public PersonQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public PersonQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public PersonQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public PersonQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }


    /**
     * 设置 用户名称
     * @param name
     */
    public PersonQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 用户名称
     * @param nameList
     */
    public PersonQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }


    /**
     * 设置 身份证号码
     * @param idCard
     */
    public PersonQuery idCard(String idCard){
        setIdCard(idCard);
        return this;
    }

    /**
     * 设置 身份证号码
     * @param idCardList
     */
    public PersonQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
        return this;
    }

    /**
     * 设置  性别(0.男,1.女)
     * @param gender
     */
    public PersonQuery gender(Integer gender){
        setGender(gender);
        return this;
    }

    /**
     * 设置 开始 性别(0.男,1.女)
     * @param genderStart
     */
    public PersonQuery genderStart(Integer genderStart){
        this.genderStart = genderStart;
        return this;
    }

    /**
     * 设置 结束 性别(0.男,1.女)
     * @param genderEnd
     */
    public PersonQuery genderEnd(Integer genderEnd){
        this.genderEnd = genderEnd;
        return this;
    }

    /**
     * 设置 增加 性别(0.男,1.女)
     * @param genderIncrement
     */
    public PersonQuery genderIncrement(Integer genderIncrement){
        this.genderIncrement = genderIncrement;
        return this;
    }

    /**
     * 设置 性别(0.男,1.女)
     * @param genderList
     */
    public PersonQuery genderList(List<Integer> genderList){
        this.genderList = genderList;
        return this;
    }

    /**
     * 设置 性别(0.男,1.女)
     * @param genderNotList
     */
    public PersonQuery genderNotList(List<Integer> genderNotList){
        this.genderNotList = genderNotList;
        return this;
    }


    /**
     * 设置 手机号码
     * @param phone
     */
    public PersonQuery phone(String phone){
        setPhone(phone);
        return this;
    }

    /**
     * 设置 手机号码
     * @param phoneList
     */
    public PersonQuery phoneList(List<String> phoneList){
        this.phoneList = phoneList;
        return this;
    }



    /**
     * 设置 家庭住址
     * @param address
     */
    public PersonQuery address(String address){
        setAddress(address);
        return this;
    }

    /**
     * 设置 家庭住址
     * @param addressList
     */
    public PersonQuery addressList(List<String> addressList){
        this.addressList = addressList;
        return this;
    }


    /**
     * 设置 本地照片路径
     * @param photo
     */
    public PersonQuery photo(String photo){
        setPhoto(photo);
        return this;
    }

    /**
     * 设置 本地照片路径
     * @param photoList
     */
    public PersonQuery photoList(List<String> photoList){
        this.photoList = photoList;
        return this;
    }


    /**
     * 设置 原始照片路径
     * @param sourcePhotoUri
     */
    public PersonQuery sourcePhotoUri(String sourcePhotoUri){
        setSourcePhotoUri(sourcePhotoUri);
        return this;
    }

    /**
     * 设置 原始照片路径
     * @param sourcePhotoUriList
     */
    public PersonQuery sourcePhotoUriList(List<String> sourcePhotoUriList){
        this.sourcePhotoUriList = sourcePhotoUriList;
        return this;
    }

    /**
     * 设置  Php原始注册用户id
     * @param sourceId
     */
    public PersonQuery sourceId(Long sourceId){
        setSourceId(sourceId);
        return this;
    }

    /**
     * 设置 开始 Php原始注册用户id
     * @param sourceIdStart
     */
    public PersonQuery sourceIdStart(Long sourceIdStart){
        this.sourceIdStart = sourceIdStart;
        return this;
    }

    /**
     * 设置 结束 Php原始注册用户id
     * @param sourceIdEnd
     */
    public PersonQuery sourceIdEnd(Long sourceIdEnd){
        this.sourceIdEnd = sourceIdEnd;
        return this;
    }

    /**
     * 设置 增加 Php原始注册用户id
     * @param sourceIdIncrement
     */
    public PersonQuery sourceIdIncrement(Long sourceIdIncrement){
        this.sourceIdIncrement = sourceIdIncrement;
        return this;
    }

    /**
     * 设置 Php原始注册用户id
     * @param sourceIdList
     */
    public PersonQuery sourceIdList(List<Long> sourceIdList){
        this.sourceIdList = sourceIdList;
        return this;
    }

    /**
     * 设置 Php原始注册用户id
     * @param sourceIdNotList
     */
    public PersonQuery sourceIdNotList(List<Long> sourceIdNotList){
        this.sourceIdNotList = sourceIdNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public PersonQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public PersonQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @param source
     */
    public PersonQuery source(Integer source){
        setSource(source);
        return this;
    }

    /**
     * 设置 开始 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @param sourceStart
     */
    public PersonQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
        return this;
    }

    /**
     * 设置 结束 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @param sourceEnd
     */
    public PersonQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
        return this;
    }

    /**
     * 设置 增加 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @param sourceIncrement
     */
    public PersonQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
        return this;
    }

    /**
     * 设置 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @param sourceList
     */
    public PersonQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
        return this;
    }

    /**
     * 设置 注册人员来源(0.预约系统,1.排队叫号系统,2.自助服务系统,3.海康,99.其它)
     * @param sourceNotList
     */
    public PersonQuery sourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
        return this;
    }

    /**
     * 设置  是否添加到海康人脸库(0.否，1.是)
     * @param inFaceHk
     */
    public PersonQuery inFaceHk(Integer inFaceHk){
        setInFaceHk(inFaceHk);
        return this;
    }

    /**
     * 设置 开始 是否添加到海康人脸库(0.否，1.是)
     * @param inFaceHkStart
     */
    public PersonQuery inFaceHkStart(Integer inFaceHkStart){
        this.inFaceHkStart = inFaceHkStart;
        return this;
    }

    /**
     * 设置 结束 是否添加到海康人脸库(0.否，1.是)
     * @param inFaceHkEnd
     */
    public PersonQuery inFaceHkEnd(Integer inFaceHkEnd){
        this.inFaceHkEnd = inFaceHkEnd;
        return this;
    }

    /**
     * 设置 增加 是否添加到海康人脸库(0.否，1.是)
     * @param inFaceHkIncrement
     */
    public PersonQuery inFaceHkIncrement(Integer inFaceHkIncrement){
        this.inFaceHkIncrement = inFaceHkIncrement;
        return this;
    }

    /**
     * 设置 是否添加到海康人脸库(0.否，1.是)
     * @param inFaceHkList
     */
    public PersonQuery inFaceHkList(List<Integer> inFaceHkList){
        this.inFaceHkList = inFaceHkList;
        return this;
    }

    /**
     * 设置 是否添加到海康人脸库(0.否，1.是)
     * @param inFaceHkNotList
     */
    public PersonQuery inFaceHkNotList(List<Integer> inFaceHkNotList){
        this.inFaceHkNotList = inFaceHkNotList;
        return this;
    }


    /**
     * 设置 人脸的唯一标识
     * @param indexCode
     */
    public PersonQuery indexCode(String indexCode){
        setIndexCode(indexCode);
        return this;
    }

    /**
     * 设置 人脸的唯一标识
     * @param indexCodeList
     */
    public PersonQuery indexCodeList(List<String> indexCodeList){
        this.indexCodeList = indexCodeList;
        return this;
    }


    /**
     * 设置 人脸所属的人脸分组的唯一标识
     * @param ifaceGroupIndexCode
     */
    public PersonQuery ifaceGroupIndexCode(String ifaceGroupIndexCode){
        setIfaceGroupIndexCode(ifaceGroupIndexCode);
        return this;
    }

    /**
     * 设置 人脸所属的人脸分组的唯一标识
     * @param ifaceGroupIndexCodeList
     */
    public PersonQuery ifaceGroupIndexCodeList(List<String> ifaceGroupIndexCodeList){
        this.ifaceGroupIndexCodeList = ifaceGroupIndexCodeList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public PersonQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public PersonQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public PersonQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public PersonQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public PersonQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public PersonQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public PersonQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public PersonQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public PersonQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public PersonQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public PersonQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public PersonQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }



    /**
     * 设置 海康人脸图片url
     * @param picUrl
     */
    public PersonQuery picUrl(String picUrl){
        setPicUrl(picUrl);
        return this;
    }

    /**
     * 设置 海康人脸图片url
     * @param picUrlList
     */
    public PersonQuery picUrlList(List<String> picUrlList){
        this.picUrlList = picUrlList;
        return this;
    }


    /**
     * 设置 海康人脸服务标识
     * @param serverIndexCode
     */
    public PersonQuery serverIndexCode(String serverIndexCode){
        setServerIndexCode(serverIndexCode);
        return this;
    }

    /**
     * 设置 海康人脸服务标识
     * @param serverIndexCodeList
     */
    public PersonQuery serverIndexCodeList(List<String> serverIndexCodeList){
        this.serverIndexCodeList = serverIndexCodeList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<PersonQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<PersonQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<PersonQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<PersonQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}